#============================================================================
# doxygen.mk - generate PDF and HTML output from doxygen input

# for ax_prog_doxygen serial #24
#
# must be used with MST_INIT_DOXYGEN or DX_INIT_DOXYGEN autoconf macros

DOXYGEN_MK =

# prereq:
CREATE_AM_MACROS_MK +=
DOC_DIRS_MK +=
INSTALL_DIR_MK  +=
INSTALL_FILES_MK +=

# relative path from top_builddir to builddir
DOC_DIR=doxygen-doc
local_data =

EXTRA_DIST              += $(DX_CONFIG)

# distribute HTML
EXTRA_DIST              += $(DX_DOCDIR)/html

local_data              += doxy-html

src_htmldir             = $(DX_DOCDIR)/html
dst_htmldir             = $(docdir)/html

install-doxy-html:
	@$(NORMAL_INSTALL)
	src_dir=$(src_htmldir); dst_dir=$(dst_htmldir); $(install_dir)

uninstall-doxy-html:
	@$(NORMAL_UNINSTALL)
	src_dir=$(src_htmldir); dst_dir=$(dst_htmldir); $(uninstall_dir)

# distribute PDF
EXTRA_DIST              += $(DX_DOCDIR)/$(DX_PROJECT).pdf

local_data              += doxy-pdf

install-doxy-pdf :
	files="$(DX_DOCDIR)/$(DX_PROJECT).pdf"; \
	dir=$(docdir) ; \
	$(install_files)

uninstall-doxy-pdf :
	files="$(DX_DOCDIR)/$(DX_PROJECT).pdf"; \
	dir=$(docdir) ; \
	$(uninstall_files)

# this is needed to trigger doxygen run 
noinst_DATA             += doxygen-doc

EXTRA_DIST              += $(DX_DOCDIR)/$(PACKAGE).tag

install-data-local  :: $(local_data:%=install-%)
uninstall-local     :: $(local_data:%=uninstall-%)

MOSTLYCLEANFILES        += $(DX_CLEANFILES)

DISTCLEANFILES          += $(DX_DISTCLEANFILES)

@DX_RULES@
