#============================================================================
# prog_usage_cc.mk

%C%_PROG_USAGE_CXX_MK =

# requires the MST_PROG_USAGE autoconf m4 macro
MST_PROG_USAGE_M4 +=

# the caller must set %C%_POD_SRC to the name of the pod source file
# e.g.:

#  %C%_POD_SRC = $(top_srcdir)/%D%/$(PACKAGE).pod
#  %C%_POD_SRC_%C% = $(srcdir)/bin.pod

%C%_POD_SRC +=

if HAVE_MST_PROG_USAGE
%D%/usage.cc %D%/usage.hpp: $(%C%_POD_SRC)
	pod2text < $? \
	| ( cd %D% ; text2usage -name usage -pfx usage -csfx .cc --hsfx .hpp)

%D%/help.cc %D%/help.hpp: $(%C%_POD_SRC)
	pod2usage -verbose 1 $? \
	| ( cd %D% ; text2usage -name help -pfx help -csfx .cc -hsfx .hpp)

MAINTAINERCLEANFILES	+=			\
			%D%/usage.cc		\
			%D%/usage.hpp		\
			%D%/help.cc		\
			%D%/help.hpp

BUILT_SOURCES           += %D%/usage.hpp %D%/help.hpp

endif HAVE_MST_PROG_USAGE

EXTRA_DIST		+=			\
			%D%/usage.cc		\
			%D%/usage.hpp		\
			%D%/help.cc		\
			%D%/help.hpp

